/*=========================================================
PANEL PRODUCTO
=========================================================*/

.product-panel{

    position: fixed;
    inset: 0;
    display: none;
    z-index: 9999;

}


.product-panel.active{

    display: block;

}

/*=========================================================
OVERLAY
=========================================================*/

.product-overlay{

    position: absolute;
    inset: 0;
    background: rgba(0,0,0,.55);

}

/*=========================================================
CONTENEDOR
=========================================================*/

.product-content{

    position: absolute;
    top: 0;
    right: 0;
    width: 450px;
    height: 100%;
    background: #FFFFFF;
    padding: 40px;
    overflow-y: auto;
    box-shadow: -10px 0 40px rgba(0,0,0,.20);

}

/*=========================================================
IMAGEN
=========================================================*/

.product-content img{

    width: 100%;
    max-height: 280px;
    object-fit: contain;
    margin-bottom: 30px;

}

/*=========================================================
TÍTULO
=========================================================*/

.product-content h2{

    font-size: 34px;
    color: #082A63;
    font-weight: 700;
    margin-bottom: 15px;

}

/*=========================================================
DESCRIPCIÓN
=========================================================*/

.product-content p{

    color: #64748B;
    line-height: 1.8;
    margin-bottom: 20px;

}

/*=========================================================
LISTA
=========================================================*/

.product-content ul{

    list-style: none;
    padding: 0;
    margin: 30px 0;

}

.product-content li{

    display: flex;
    align-items: center;
    gap: 12px;
    padding: 10px 0;
    margin-bottom: 15px;
    border-bottom: 1px solid #ECECEC;
    color: #334155;
    font-size: 16px;

}

.product-content li i{

    color: #0F5BFF;
    font-size: 18px;

}

/*=========================================================
BOTÓN CERRAR
=========================================================*/

.close-panel{

    position: absolute;
    top: 20px;
    right: 20px;
    width: 45px;
    height: 45px;
    border: none;
    border-radius: 50%;
    background: #EEF3FA;
    cursor: pointer;
    transition: .30s;

}

.close-panel:hover{

    background: #DCE7F7;

}

/*=========================================================
BOTONES
=========================================================*/

.panel-buttons{

    display: flex;
    flex-direction: column;
    gap: 15px;
    margin-top: 30px;

}